#ifndef LEVEL_H
#define LEVEL_H

#include "toolbox.h"

class Room;

class Level
{
    public:
        static const int WIDTH;
        static const int HEIGHT;

        Level(int floor);
        ~Level();

        void generate(int floor);
        Room* getStartRoom();
        Room* getRoom(int x, int y);
        void drawMinimap(sf::RenderTarget& window, float px, float py);
    private:
        void linkRooms(sf::Vector2i a, sf::Vector2i b);
        int w;
        int h;
        Room*** rooms;
        Room* startRoom;
};

#endif // LEVEL_H
