#ifndef BOSSDOOR_H
#define BOSSDOOR_H

#include "Entity.h"
#include "Player.h"

class BossDoor : public Entity
{
    public:
        BossDoor(float x, float y, bool vertical);
        virtual ~BossDoor();

        static const float L;
        static const float S;
        bool vertical;

        virtual bool hurt(int dmg);
        virtual void step();
        virtual void draw(sf::RenderTarget& window);
        virtual void doCollide(Entity* other);
    private:
        Sprite sprite;
};

#endif // BOSSDOOR_H
