#ifndef ITEM_H
#define ITEM_H

#include "Entity.h"
#include "Sprite.h"

class Item : public Entity
{
    public:
        enum ItemType
        {
            ITEM_HEALTH,
            ITEM_ATTACK_SPEED,
            ITEM_RUN_SPEED,
            ITEM_KEY,
            ITEM_BOSS_KEY
        };
        Item(float x, float y, ItemType itemType);
        ~Item();

        virtual void step();
        virtual void draw(sf::RenderTarget& window);
        virtual void doCollide(Entity* other);
    private:
        ItemType itemType;
        Sprite sprite;
};

#endif // ITEM_H
