#ifndef PARTICLE_H
#define PARTICLE_H

#include "toolbox.h"
class Particle
{
    public:
        enum ParticleType
        {
            TYPE_BLOOD,
            TYPE_WHITE_BLOOD,
            TYPE_DUST,
            TYPE_SHINY
        };
        Particle(ParticleType pType, float x, float y);
        ~Particle();

        void draw(sf::RenderTarget& window);

    private:
        ParticleType pType;
        sf::Vector2f pos;
        sf::Vector2f vel;
        sf::Vector2f accel;
        int lifeTime;
        int lifeTimer;
    public:
        bool die;
};

#endif // PARTICLE_H
