#ifndef TILE_H_INCLUDED
#define TILE_H_INCLUDED

#include "toolbox.h"

enum TileType
{
    TILE_NONE, //0
    TILE_SOLID, //1
    TILE_MONSTER_SPAWN, //2
    TILE_ARROWTRAP, //3
    TILE_REWARD, //4
    TILE_SPIKE, //5
    TILE_HOLE //6
};

struct Tile
{
    int type;

    int backgroundIndex;
    int displayIndex;
    bool solid;
    bool left;
    bool up;
    bool right;
    bool down;

    Tile():type(TILE_NONE),
    backgroundIndex(-1),
    displayIndex(-1),
    solid(false),
    left(false),
    up(false),
    right(false),
    down(false)
    {
    }
};


#endif // TILE_H_INCLUDED
