#include "Stairs.h"
#include "Room.h"

const float Stairs::W = Room::TILE_SIZE*2;
const float Stairs::H = Room::TILE_SIZE*2;

Stairs::Stairs(float x, float y):
    Entity(DOOR,x,y,W,H),
    sprite(ResourceManager::getTexture("stairs.png"), 32, 32, -1, 15, 0, 0, false)
{
    sprite.setOrigin(0, 0);
    //ctor
}

Stairs::~Stairs()
{
    //dtor
}

bool Stairs::hurt(int dmg)
{
    return false;
}

void Stairs::step()
{
    return;
}

void Stairs::draw(sf::RenderTarget& window)
{
    //lolol
    sprite.setPosition(x, y);
    sprite.draw(window);
}

void Stairs::doCollide(Entity* other)
{
    Player* player = room->getPlayer();
    if (other == player && collidesWith(other))
    {
        player->descending = true;
    }
}
